OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.OcclusionQuery

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBOcclusionQuery :: MonadIO m => m Bool
- gl_ARB_occlusion_query :: Bool
- gl_CURRENT_QUERY_ARB :: GLenum
- gl_QUERY_COUNTER_BITS_ARB :: GLenum
- gl_QUERY_RESULT_ARB :: GLenum
- gl_QUERY_RESULT_AVAILABLE_ARB :: GLenum
- gl_SAMPLES_PASSED_ARB :: GLenum
- glBeginQueryARB :: MonadIO m => GLenum -> GLuint -> m ()
- glDeleteQueriesARB :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glEndQueryARB :: MonadIO m => GLenum -> m ()
- glGenQueriesARB :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGetQueryObjectivARB :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetQueryObjectuivARB :: MonadIO m => GLuint -> GLenum -> Ptr GLuint -> m ()
- glGetQueryivARB :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glIsQueryARB :: MonadIO m => GLuint -> m GLboolean

# Extension Support

glGetARBOcclusionQuery :: MonadIO m => m Bool

Is the ARB_occlusion_query extension supported?

gl_ARB_occlusion_query :: Bool

Is the ARB_occlusion_query extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBOcclusionQuery` in those cases instead.

# Enums

gl_CURRENT_QUERY_ARB :: GLenum

gl_QUERY_COUNTER_BITS_ARB :: GLenum

gl_QUERY_RESULT_ARB :: GLenum

gl_QUERY_RESULT_AVAILABLE_ARB :: GLenum

gl_SAMPLES_PASSED_ARB :: GLenum

# Functions

glBeginQueryARB

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `id`.
-> m () |

This command is an alias for `glBeginQuery`.

glDeleteQueriesARB

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `ids` pointing to `n` elements of type `GLuint`.
-> m () |

This command is an alias for `glDeleteQueries`.

glEndQueryARB

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> m () |

This command is an alias for `glEndQuery`.

glGenQueriesARB

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `ids` pointing to `n` elements of type `GLuint`.
-> m () |

This command is an alias for `glGenQueries`.

glGetQueryObjectivARB

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

This command is an alias for `glGetQueryObjectiv`.

glGetQueryObjectuivARB

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname`.
-> Ptr GLuint | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint`.
-> m () |

This command is an alias for `glGetQueryObjectuiv`.

glGetQueryivARB

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `pname`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

This command is an alias for `glGetQueryiv`.

glIsQueryARB

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> m GLboolean | of type Boolean.

This command is an alias for `glIsQuery`.